Lightify_Group Class Reference

`#include <liblightify++.hpp>`

## Public Member Functions

int | GetId ()
const char * | GetName ()
int | TurnOnOff (bool onoff)
int | SetCCT (int cct, int time)
int | SetRGBW (int red, int green, int blue, int white, int time)
int | SetBrightness (int level, int time)

## Protected Member Functions

| Lightify_Group (struct lightify_ctx *ctx, struct lightify_group *group)

## Friends

class | Lightify

## Detailed Description

Definition at line 220 of file liblightify++.hpp.

## Constructor & Destructor Documentation

Lightify_Group | ( | struct lightify_ctx * | ctx,
|  | struct lightify_group * | group
| ) |  |

inline protected

Definition at line 223 of file liblightify++.hpp.

## Member Function Documentation

int GetId | ( |  | ) |

inline

Definition at line 230 of file liblightify++.hpp.

const char* GetName | ( |  | ) |

inline

Definition at line 234 of file liblightify++.hpp.

int SetBrightness | ( | int | level,
|  | int | time
| ) |  |

inline

Set brightness

Parameters

  level | 0..100
  time | time in 1/10s

Returns
  negative on error

Definition at line 279 of file liblightify++.hpp.

int SetCCT | ( | int | cct,
|  | int | time
| ) |  |

inline

Set color temperature

Parameters

  cct | to be set
  time | fadetime for transition in 1/10 secs

Returns
  negative on error

Definition at line 250 of file liblightify++.hpp.

int SetRGBW | ( | int | red,
|  | int | green,
|  | int | blue,
|  | int | white,
|  | int | time
| ) |  |

inline

Set color components

Note
  observed, that white can only be set when the other colors are 0.

Color values are good from 0-255

Parameters

  red | to be set
  green | to be set
  blue | to be set
  white | to be set
  time | fadetime for transition in 1/10 secs

Returns
  negative on error

Definition at line 268 of file liblightify++.hpp.

int TurnOnOff | ( | bool | onoff | ) |

inline

Turn on / off

Definition at line 239 of file liblightify++.hpp.

## Friends And Related Function Documentation

friend class Lightify

friend

Definition at line 221 of file liblightify++.hpp.

The documentation for this class was generated from the following file:

- src/liblightify++/liblightify++.hpp